Summary: A script for creating the device files in /dev.
Name: MAKEDEV
Version: 2.5.2
Release: 1.3.0
Copyright: none
Group: System Environment/Base
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/MAKEDEV-%{PACKAGE_VERSION}.tar.gz
Patch0: MAKEDEV-%{PACKAGE_VERSION}-makefile.patch
Patch1: MAKEDEV-%{PACKAGE_VERSION}-makefile-gd3.patch
Requires: /bin/sh fileutils shadow-utils >= 20000902
Prereq: shadow-utils dev
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root
Vendor: Guardian Digital

%description
This package contains the MAKEDEV script, which makes it easier to create
and maintain the files in the /dev directory.  /dev directory files 
correspond to a particular device supported by Linux (serial or printer 
ports, scanners, sound cards, tape drives, CD-ROM drives, hard drives, 
etc.) and interface with the drivers in the kernel.

You should install the MAKEDEV package because the MAKEDEV utility makes 
it easy to manage the /dev directory device files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8

make ROOT=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 19 -o -f floppy > /dev/null

%files
%defattr(750,root,root)
/dev/MAKEDEV
%attr(0644,root,root) %doc %{_mandir}/man8/MAKEDEV.8*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Tue May 07 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 2.5.2, Release 1.2.2
  - added sd devices to generic devices
  - changed non-existent uucp group to sys

* Wed May 01 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 2.5.2, Release 1.2.1
  - added support for sda[9-15] to patch

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Thu Nov 02 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 2.5.2, 1.1.2
  - forgot to actually put patch in for support for /dev/hd[a-r][1-16]

* Thu Nov 01 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 2.5.2, 1.1.2
  - added support for /dev/hd[a-r][1-16]

* Wed Oct 24 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.5.2, 1.1.1
  - Revised shadow-utils Requires line (no more Serial).


* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.5.2, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).


* Wed Nov 29 2000 Pete O'Hara <pete@guardiandigital.com>
- added dev as Prereq so rpm can install with all of the
	other rpms

* Mon Nov 20 2000 Dave Wreski <dave@guardiandigital.com>
- makefile patch for FHS

* Wed Jun 28 2000 Pete O'Hara <pete@guardiandigital.com>
- no world access to MAKEDEV script

* Mon Jun 26 2000 Pete O'Hara <pete@guardiandigital.com>
- initial version
